fontforge (1:20220308~dfsg-1~20.04.sav0) focal; urgency=medium

  * Backport to Focal
  * Revert "debian/rules: Change override_dh_* to execute_before_dh_*"
  * d/libfontforge4.install: Add dh-exec shebang, chmod +x
  * debian/control: Set debhelper-compat (= 12) BD
    - Add dh-exec BD for *.install multiarch subst (compat < 13)

 -- Rob Savoury <savoury@savos.tech>  Sun, 06 Nov 2022 13:33:44 -0800

fontforge (1:20220308~dfsg-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Drop Rogério Brito from uploaders list. (Closes: #994659)

  [ Anthony Fok ]
  * New upstream version 20220308~dfsg
  * Add 20120731.b-{6,7,7.1,7.2} changelog entries
    from Nov 2015 to Apr 2016 that were missing partly due to the failed
    (forgotten? ignored?) switch from master to debian/sid branch
  * Add Jonas Smedegaard’s copyright file contributions (which I overlooked)
    to the 1:20201107~dfsg-2 changelog entry
  * Refresh Debian patches:
    - 0001-add-extra-cmake-install-rules.patch: Upstream now installs
      cidmaps by default (Thanks to Fredrick Brennan for the fix!)
    - 0004-hurd-PATH_MAX-and-MAXPATHLEN.patch: Finally forwarded upstream
      at https://github.com/fontforge/fontforge/pull/5046
    - 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch:
      Resolve conflicts and rename more "extended" to "extendeddbl"
  * Replace 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch
    with a much simpler 0005-hurd-undef-extended-temporarily.patch
    that "#undef extended" temporarily to circumvent the name collision
    issue on Hurd.  See https://github.com/fontforge/fontforge/pull/5047
  * Update fontforge-common.install and fontforge-extras.install
    - Stop installing app icon in legacy /usr/share/pixmaps location
      (see upstream commit 6b4ab5a)
    - cidmaps have been moved from /usr/share/fontforge/ to
      /usr/share/fontforge/cidmap/ (see commit f97a2cd)
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Thu, 16 Jun 2022 04:08:43 -0600

fontforge (1:20201107~dfsg-4) unstable; urgency=medium

  * Rename extended to extendeddbl to avoid FTBFS on Hurd.
    gnumach-dev 1.8+git20201129 added to /usr/include/i386-gnu/mach/i386/fp_reg.h
    a new "extended" field which happens to collide with the custom-defined
    "extended" type in FontForge, leading to FTBFS on hurd-i386.
    See 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch
  * Rename 0004-hurd-compatibility.patch to 0004-hurd-PATH_MAX-and-MAXPATHLEN.patch

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 08:55:46 -0700

fontforge (1:20201107~dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends via Build-Depends-Indep. (Closes: #977954)

  [ Anthony Fok ]
  * debian/control:
    - Remove uthash-dev and libxt-dev from build-dependency as they are not
      used any more by the build.  Thanks to Helmut Grohne for the suggestion.
    - Specify that fontforge "Provides: fontforge-nox" (Closes: #976736)
    - debian/control: Remove "XS-Python-Version: all" which was for Python 2
    - Bump Standards-Version to 4.5.1 (no change)
  * Define PATH_MAX and MAXPATHLEN to fix FTBFS on GNU/Hurd.
    See debian/patches/0004-hurd-compatibility.patch (Closes: #877795)
  * 2003_avoid_privacy_breach.patch: Fix "more than 2 sections in header"
    error as reported by "cme fix dpkg"
  * debian/fontforge*.install: Sort lines in alphabetical order, by
    "cme fix dpkg"

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 00:41:32 -0700

fontforge (1:20201107~dfsg-2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * modernize source script copyright-check
  * copyright: update coverage
  * tidy copyright file:
    - wrap and sort files and copyright holders
      (the later by name: sort -k2 -k1,1 -u)
    - sort license sections
    - wrap license grants and license sections using semantic newlines
  * copyright: consistently use License-Reference
  * update copyright hints

  [ Anthony Fok ]
  * debian/libfontforge4.install: Fix incorrect path.  For example, on i386,
    /usr/bin/${DEB_HOST_GNU_TYPE} resolves to /usr/bin/i686-linux-gnu which
    does not exist on Debian, whereas /usr/bin/${DEB_HOST_MULTIARCH} correctly
    resolves to /usr/bin/i386-linux-gnu that we need (Closes: #975460)
  * debian/rules: Fix binary-indep build by adding override_dh_missing-indep
  * Add debian/python3-fontforge.lintian-overrides
    as Lintian fails to find libfontforge.so.4 (from libfontforge4 package)
    and thus raises false library-not-linked-against-libc errors
  * Update debian/libfontforge4.lintian-overrides
    to point the new location of libfontforge.so.4
  * Remove obsolete debian/libfontforge-dev.links
  * Add debian/patches/2004-fix-privacy-breach-logo.patch
    to fix Lintian privacy-breach-logo errors in the Japanese translation
    of old FontForge documentation
  * Add 0003-use-local-libjs-mathjax.patch and fontforge-doc.links
    to fix Lintian privacy-breach-generic warnings
  * Fix Lintian link-to-shared-library-in-wrong-package warning by removing
    unused usr/lib/*/libfontforge.so symlink from libfontforge4 package
  * Mark libfontforge4 and python3-fontforge "Multi-Arch: same"
    as suggested by Multiarch hinter

 -- Anthony Fok <foka@debian.org>  Tue, 24 Nov 2020 18:21:25 -0700

fontforge (1:20201107~dfsg-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * New upstream version 20200314~dfsg (Closes: #963194)
    + Fixes two security vulnerabilities:
      - CVE-2020-5395 (use-after-free in SFD_GetFontMetaData in sfd.c)
      - CVE-2020-5496 (heap-based buffer overflow in the Type2NotDefSplines()
        function in splinesave.c)
      that were found in FontForge 20190801 (Closes: #948231)
  * copyright: update overage
  * use buildsystem cmake+ninja (not autotools);
    build-depend on cmake ninja-build
    (not libltdl-dev autoconf-archive)
  * stop build-depend on chrpath
    (unused since 1:20160404~dfsg-1)
  * update install paths
    (upstream installs appdata in correct path now)
  * drop patches 0003 0004 2002 3000:
    obsoleted by new upstream release
  * update (and reduce) patch 2003
  * add patches cherry-picked upstream to fix a range of issues
    Fixes "FTBFS on 64-bit big endian: test failures" (Closes: #961841)
  * bump library API major version to 4
  * drop libgdraw package:
    upstream no longer provides that as shared library
  * stop ship python simple/* scripts:
    No longer installed upstream
  * Temporarily omit installing scripts for fontforge-extras,
    seemingly not built upstream
  * build sphinx documentation;
    build-depend on dh-sequence-sphinxdoc
  * stop ship extra libraries libgunicode.so libgutils.so:
    upstream no longer provides those as shared library

  [ Hideki Yamane ]
  * specify dh 13
  * fix to add ${DEB_HOST_MULTIARCH} for libfontforge.so path
  * Add python3-sphinx for document build for GUI build
  * Add more build options MAINTAINER_TOOLS and WRITE_PFM

  [ Anthony Fok ]
  * New upstream version 20201107~dfsg (FontForge 20th Anniversary Edition)
    + Display issues on Wayland are now fixed (Closes: #961640)
  * Remove cherry-picked upstream patches as they are included in 20201107
  * debian/rules: Change override_dh_* to execute_before_dh_* where possible
  * Remove libfontforge-dev package.  Upstream has decided to stop installing
    development files since 20200314 due to unstable stable API or ABI etc.
    No Debian package has ever build-depended on libfontforge-dev either.
  * Install README.md instead of the now nonexistent README
  * debian/control: Add ${sphinxdoc:Depends} and ${sphinxdoc:Built-Using}
    for python3-fontforge
  * debian/rules: Remove manual call to sphinx-build
    as it is already called by upstream doc/CMakeLists.txt
  * Restore files that were installed to fontforge-extras and python3-fontforge
    prior to the FontForge 2020 March Release by patching CMakeLists.txt
    files, see debian/patches/0001-add-extra-cmake-install-rules.patch
  * Add debian/libfontforge4.install as we no longer uses d-shlibs
  * Add and fix other debian/*.install, debian/*.manpages and debian/rules
    so that all files are installed properly
  * Add debian/not-installed to remove dh_missing fail-missing errors
  * Remove upstream setting that sets custom RPATH/RUNPATH.
    Fixes Lintian custom-library-search-path errors.
    See debian/patches/0002-remove-custom-library-search-path.patch
  * Fix package description for fontforge-extras
    where most provided programs have been renamed
  * Add debian/clean to remove build/ and doc/sphinx/_extensions/__pycache__/
  * Add myself to the list of Uploaders and to debian/copyright

 -- Anthony Fok <foka@debian.org>  Wed, 18 Nov 2020 01:42:18 -0700

fontforge (1:20190801~dfsg-5) unstable; urgency=medium

  * build-depend on debhelper-compat (not debhelper)
  * simplify rules;
    build-depend on dh-sequence-python3 (not cdbs dh-buildinfo dh-python)
  * stop build-depend on autotools-dev dh-autoreconf
    (superfluous, handled by autoreconf)
  * stop fix executable bit of python libraries
    (handled by dh_python3 now, apparently)
  * check testsuite during build
  * copyright: fix update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2020 20:02:39 +0200

fontforge (1:20190801~dfsg-4) unstable; urgency=high

  * Team upload.
  * debian/control: Set maintainer email to new mailing list.
  * debian/control.in: Also reflect some changes in the .in file.
  * debian/rules: Fix broken dev-dep list for cdbs.
  * debian/copyright:
    + Properly set Upstream-Name and Upstream-Contact.
    + Update license information for AppStream metadata file.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 22:10:07 -0500

fontforge (1:20190801~dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    + Force python3; link with embedded python3 libs in python3.8.
      (Closes: #949822, #953079)
    + Fix FTCBFS: Let dpkg buildtools.mk set up CC. (Closes: #901174)
    + Add override of libpython3.8-dev for d-shlibmove to circumvent
      build error for now.
  * debian/control:
    + Build-dep on python3-dev instead of python3-all-dev. (Closes: #948016)
    + Bump Standards-Version to 4.5.0.
  * debian/patches: Cherry-pick upstream PR 3922 to fix non-GUI usage.
    (Closes: #952408)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 12:52:24 -0500

fontforge (1:20190801~dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 10.
  * Remove patches missing from debian/patches/series.
  * Set upstream metadata fields: Repository.
  * Fix field name typos in debian/copyright.
  * Fix day-of-week for changelog entries 0.0.20020312-1.

  [ Hideki Yamane ]
  * Note some bug numbers are closed in previous changelog.

 -- Hideki Yamane <henrich@debian.org>  Wed, 13 Nov 2019 21:20:21 +0900

fontforge (1:20190801~dfsg-1) experimental; urgency=medium

  * New upstream version 20190801~dfsg (Closes: #603067, #866690, #912062,
    #895105, #927640, #774274)
  * debian/control{,.in}
    - remove Christian Perrier <bubulle@debian.org> from Uploaders
      (Closes: #894873, #927590)
    - add Rules-Requires-Root: no
    - bump up libfontforge3 from 2
    - migrate to python3 (Closes: #936538)
    - set Multi-Arch: foreign for -common,doc
    - drop gnulib (Closes: #840782)
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - use libfreetype-dev, instead of libfreetype6-dev
    - split to -extras package
    - add potrace to detect it
    - move libgdraw5 to libgdraw6
    - python3-fontforge: add Recommends since some scripts has a dependency
    - remove unnecessary Priority field
  * debian/libpython3.symbols
    - update symbols list
  * debian/rules
    - remove specifying disappear library
    - bump up libfontforge3 from 2
    - not dh_python2, but 3
    - specify --enable-python-scripting and --enable-python-extension
    - just run autoreconf, not debian/autogen.sh and drop gnulib
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - add --enable-tile-path
    - add --enable-debug-raw-points
    - enable gtk UI
    - drop obsolete options
    - add --enable-fontforge-extras
    - enable woff2 (however, it is not used yet...)
    - once disable --with-freetype-source since no package provides those files
  * debian/patches
    - drop unused patches
    - drop unnecessary 2001_repackaging_fixup.patch
    - refresh 2002_avoid_upstream_git_or_pkg.patch
    - add 0003-ignore-osx-files.patch
    - add 0004-fix-wrong-xml-tag.patch
  * debian/copyright
    - update exclude files list
    - use https
    - update copyright year
  * debian/fontforge.install
    - install appdata file (Closes: #857589)
    - add metainfo xml file, too
  * drop debian/autogen.sh, it seems that we don't need gnulib anymore
  * debian/*.manpages
    - fix wrong directory, and specify debian/tmp/x as cdbs workaround
  * drop unused lintian-overrides

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Nov 2019 22:38:57 +0900

fontforge (1:20170731~dfsg-2) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control.in
    - drop Suggests: autotrace since it is not in repository anymore
    - drop Conflicts: defoma since it is not in repository anymore
    - drop fontforge-dbg
  * debian/rules
    - set --dbgsym-migration=fontforge-dbg
  * add debian/salsa-ci.yml

  [ Vasudev Kamath ]
  * debian/control:
    - Use Salsa URL for Vcs-* fields.
    - Mark package compliance with Debian policy 4.1.3.
  * debian/rules:
    - Install pkg-config files under multi-arch specific directory.

 -- Hideki Yamane <henrich@debian.org>  Tue, 24 Sep 2019 22:58:14 +0900

fontforge (1:20170731~dfsg-1) unstable; urgency=high

  [upstream]
  * New release with number of adjustments and fixes.
    + Fixes multiple CVE's listed below.
     CVE-2017-11577, CVE-2017-11576, CVE-2017-11575, CVE-2017-11574,
     CVE-2017-11572, CVE-2017-11571, CVE-2017-11569, CVE-2017-11568.
     Closes: bug#869614. Thanks to Salvatore Bonaccorso.

  [ Vasudev Kamath ]
  * Add fontforge-doc package to fontforge source.
    Closes: bug#855710, bug#853040. Thanks to Hideki Yamane.
  * Simplify d-shlibs handling. Tighten to build-depend on recent d-hlibs.
  * debian/patches:
    + Drop patch 1001, merged upstream.
    + Refresh patch 2002 with new upstream files.
    + Add patch 2003 for removing SourceForge logo from documentation.
  * Update libfontforge2.symbols file for new release.
    There a lot of refactoring done by upstream without bumping major
    version.
  * Drop unused lintian-override from debian/source/lintian-override.
  * Drop wild card debian-old/* from debian/copyright. It is no longer
    available in upstream source.
  * Do not disable PIE.
    Closes: bug#865601. Thanks to Adrian Bunk.

  [ Jonas Smedegaard ]
  * Add myself as uploader.
  * Update watch file: Use substitution strings.
  * Drop superfluous dh_installdirs hint files.
  * Advertise DEP-3 format in patch headers.
  * Tighten lintian overrides regarding License-Reference.
  * Tighten lintian overrides regarding long code lines.
  * Add lintian override for obsolete-url-in-packaging false positive.
  * Drop obsolete maintainer script make-clean-tarball.
  * Avoid mentioning Debian in doc-base title.
  * Update homepage.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Update copyright info:
    + Extend coverage for myself. Relince packaging to GPL-3+.
    + Merge same-licensed Files sections.
    + List graphicore code, licensed as BSD-2-clause.
    + Fix drop duplicate entries.
    + Fix list fontforge/fvimportbdf.c (same as gdraw/fontP.h) as
      licensed BSD-3-clause and X11~TOG (not BSD-3-clause).
    + Fix list files licensed BSD-3-clause in initial wildcard section.
    + Fix list files by a non-main copyright holder licensed GPL-3+.
    + Fix list files by a non-main copyright holders licensed GPL-3+
      with font exception.
    + Fix list font files.
    + Fix list files licensed GPL-2+.
    + Fix add License section for LGPL-2.1+.
    + Exclude non-DFSG free fonts from repackaged tarball.
  * Update package relations:
    + Stop conflict with defoma: Dropped before oldstable.
  * Drop breaks+replaces unneeded since oldstable.
  * Generalize and extend patch 2003 to cover more potential breaches.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Sep 2017 13:21:28 +0200

fontforge (1:20161005~dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  * Replace libuninamelist0-dev with libuninamelist1-dev in the override
    section of d-shlibmove.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 12 Nov 2016 20:37:51 +0530

fontforge (1:20161005~dfsg-3) experimental; urgency=medium

  * Install pkg-config files for libfontforge-dev

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 22 Oct 2016 17:06:59 +0530

fontforge (1:20161005~dfsg-2) experimental; urgency=medium

  * Add libglib2.0-dev as build-depends to fontforge, this makes sure that
    libfontforge-dev gets libglib2.0-dev build dependency.
    Closes: bug#840417, Thanks to Vasudev Kamath.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 15 Oct 2016 12:05:27 +0530

fontforge (1:20161005~dfsg-1) experimental; urgency=medium

  * Import new upstream release.
  * debian/copyright:
    + Updated for new release.
  * Update libfontforge2.symbols file for new release.
  * Override libreadline7-dev with libreadline-dev for d-shlibs.
  * Drop embedded copies of Cantarrel and Inconsolata fonts and add
    recommends on the appropriate package for fontforge-common.

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 10 Oct 2016 14:09:39 +0530

fontforge (1:20160404~dfsg-4) experimental; urgency=medium

  * debian/control:
    + fontforge-common: Bump fontforge version in Breaks and Replaces.
      Closes: bug#836989, Thanks to Andreas Beckmann.

 -- Vasudev Kamath <vasudev@copyninja.info>  Fri, 09 Sep 2016 22:57:16 +0530

fontforge (1:20160404~dfsg-3) experimental; urgency=medium

  * Move common files to fontforge-common package.
    + Install prefs and hotkeys file via fontforge-common
    + Install resources file which is needed by both fontforge-nox and
    fontforge-x.
  * Install MIME file for fontforge.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 13 Aug 2016 16:26:43 +0530

fontforge (1:20160404~dfsg-2) experimental; urgency=medium

  * Install hotkeys for fontforge-nox

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 06 Aug 2016 20:01:25 +0530

fontforge (1:20160404~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Hideki Yamane ]
  * Update copyright info: Rewrite using file format 1.0.

  [ Vasudev Kamath ]
  * Update git-buildpackage config: Filter *.orig files.
  * Drop patches set_fontforge_package_name gitignore.
  * Git-ignore quilt .pc dir.
  * Refresh fix-spelling-error patch.
  * Convert packaging to CDBS.
  * Enable copyright checking.
  * Update copyright info:
    + Improve coverage.
    + Drop duplicate license block.
    + Fix licensing of gkeysym.h and fontP.h.
    + Fix license of fontforgeexe/cv*.c to bsd-3-clause.
    + Add myself as copyright holder for Debian packagging.
    + Add wildcard catchall license block to handle files which does not
      have copyright information.
  * Track symbols file using pkg-kde-tools.
  * Fix path for man pages
  * Install gdraw related python files.
  * Use d-shlibs for libfontforge2 and libfontforge-dev install.
    + d-shlibs is added to BD.
    + Drop libfontforge2 and libfontforge-dev .install and .dirs files.
  * Install prefs and hotkeys with fontforge.
  * Install pixmaps for fontforge in fontforge-common.
  * Drop fontforge.menu file in favor of .desktop file.
  * Fix some lintian warnings.
  * Mark package compliant with Debian policy 3.9.8.
  * Fix the typo in Vcs-Git field.
  * Add myself to uploaders list.
  * Build-Depend on shared-mime-info and desktop-file-utils.
  * Invoke dh_python2 for python-fontforge.
    + Added explicit BD on python and dh-python as per python policy.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Modernize copyright-check routine.
    + Move catch-all license to header paragraph: Arguably reflects only
      effective license (not a granted license).
    + Drop Files paragraph for no longer included libtools files.
      Drop corresponding License paragraph.
    + Use separate License paragraph for BSD license with typo.
    + Wrap BSD licenses as 72 char.
    + Merge Files paragraphs identically licensed as BSD-3-clause.
    + Fix capitalization of upstream project name.
    + Repackage to avoid binary osx/win code, and minified javascript.
      Drop corresponding Files paragraphs.
    + Fix use single-word License shortname.
    + Fix revive likely proper license (included texts for files
      "licensed" by The Open Group lacking any licensing permissions).
    + Fix include license exceptions.
    + Fix remove Files paragraph for files with no copyright or license.
    + Fix properly mark licensing involving two AND'ed licenses as such.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Merge Files paragraphs with identical License and License-Grant.
    + Fix include License paragraphs for Apache-2.0 and Expat.
    + Add comment on origin of a copyright holder.
    + Cover W3C-licensed test.
  * Update watch file:
    + Bump to file format 4.
    + Use github pattern from documentation.
    + Set repacksuffix.
    + Add usage comment.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Drop lintian overrides regarding minified javascript files:
    Obsoletes by repackaged source (and arguably wrong in any case).
  * Wrap and sort control and install files, with minimal whitespace.
  * Update long descriptions based on upstream README.
  * Update Vcs-* URLs:
    + Use https protocol.
    + Use cgit browser.
    + Fix path.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in oldstable.
  * Add lintian override regarding debhelper 9.
  * App patch 2001 to adjust build tools for repackaged upstream source.
  * Add patch 2002 to avoid build tools messing with VCS or packaging.
  * Build-depend on python-all-dev (not python-dev even if effectively
    same nowadays, and not needlesly versioned).
  * Build-depend on uthash-dev.
  * Bootstrap using dh-autoreconf (not cdbs). Build-depend on gnulib,
    and tighten to build-depend versioned on cdbs.
  * Drop patch fixing spelling error: Very minor (arguably a non-issue)
    and inconsistently syncronized with translations.
  * Update git-buildpackage config:
    + Filter any .gitignore file.
    + Use pristine-tar.
    + Sign tags.
  * Add README.source mentioning git-buildpackage and cdbs.
  * Use CDBS "flavors" to build twice - with and without x11.

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 18 Jul 2016 20:01:48 +0530

fontforge (1:2.0.20140101-1) experimental; urgency=low

  * New upstream release (Closes: #675492)
  * remove debian/clean
  * debian/patches
    - drop all old patches
    - add set_fontforge_package_name.patch
    - add fix-spelling-error.patch
  * debian/control
    - add "Build-Depends: libltdl-dev" (Closes: #725465)
    - s/libfontforge1/libfontforge2/g
    - add "{Breaks,Replaces}: libfontforge1" for libfontforge2
    - s/libdraw4/libdraw5/g
    - add "{Breaks,Replaces}: libdraw4" for libdraw5
    - update dependency to libfontforge2 and libdraw5
    - remove unnecessary "Build-Depends: automake, autoconf, bzip2"
    - add "Build-Depends: dh-autoreconf"
  * update debian/fontforge{,-common}.install to deal with file location
    change
  * debian/gdraw5.install
    - install "libfontforgeexe.so.*", not install it to libfontforge2 package
      since avoid "intra-source-package-circular-dependency"
  * debian/rules
    - unnecessary to move site-packages to dist-packages, removed
    - temporary disable test
  * add debian/source/lintian-overrides to once ignore lintian "missing
    source" error for minified jquery source to put it to repository.
    We'll investigate it later.
  * debian/fontforge{,-nox}.lintian-overrides
    - ignore manpage warning since fontforge-common package has those manpages.
  * debian/libfontforge2.lintian-overrides
    - ignore manpage warning since upstream use it apurpose

 -- Hideki Yamane <henrich@debian.org>  Sun, 12 Jan 2014 12:59:48 +0900

fontforge (20120731.b-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix undefined symbols when using libpng16. (Closes: #820598)

 -- James Cowgill <jcowgill@debian.org>  Sat, 16 Apr 2016 01:05:09 +0100

fontforge (20120731.b-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803273.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 04:49:47 +0000

fontforge (20120731.b-7) unstable; urgency=medium

  * remove debian/menu to fix "command-in-menu-file-and-desktop-file"
  * debian/control
    - set Standards-Version: 3.9.6
    - update Vcs-*
  * update debian/gbp.conf

 -- Hideki Yamane <henrich@debian.org>  Sat, 05 Dec 2015 17:09:26 +0900

fontforge (20120731.b-6) unstable; urgency=medium

  * debian/rules
    - fix "FTBFS when built with dpkg-buildpackage -A" (Closes: #806025)
      Thanks to Santiago Vila <sanvila@debian.org> for the report
  * debian/fontforge-common.install
    - fix icon location (Closes: #780907)
      Thanks to Dmitry Shachnev <mitya57@debian.org> for the report

 -- Hideki Yamane <henrich@debian.org>  Thu, 26 Nov 2015 20:31:07 +0900

fontforge (20120731.b-5) unstable; urgency=low

  * Make packages Multi-Arch: foreign. Thanks to Dimitri John Ledkov.
    Closes: #732743
  * Update Standards to 3.9.5 (checked)

 -- Christian Perrier <bubulle@debian.org>  Wed, 01 Jan 2014 09:24:42 +0100

fontforge (20120731.b-4) unstable; urgency=low

  [ Matthias Klose ]
  * Merge patch from Ubuntu:
    - Fix build with --as-needed.

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Nov 2013 14:42:26 +0100

fontforge (20120731.b-3) unstable; urgency=low

  * debian/watch
    - remove unnecessary uversionmangle
  * debian/control
    - "Build-Depends: libtiff5-dev", since libtiff-dev introduces dependency
      to libtiff4 which is in oldlibs
    - use canonical URL for Vcs-*

 -- Hideki Yamane <henrich@debian.org>  Tue, 25 Jun 2013 22:12:41 +0900

fontforge (20120731.b-2) unstable; urgency=low

  * upload to unstable

 -- Hideki Yamane <henrich@debian.org>  Wed, 05 Jun 2013 15:22:03 +0900

fontforge (20120731.b-1) experimental; urgency=low

  * New upstream release (Closes: #684109)
  * debian/patches
    - 001_complete_libpng-dev_transition.diff, 005_x_www_browser.diff,
      902_fix_optipng_reads.diff: merged upstream
    - open_file_with_drag_and_drop.patch: drop it, conflict with upstream
  * debian/fontforge-common.install: install icons

 -- Hideki Yamane <henrich@debian.org>  Tue, 14 May 2013 10:52:39 +0900

fontforge (0.0.20120101+git-6) unstable; urgency=low

  * debian/rules
    - remove override_dh_python2, it's unnecessary.

 -- Hideki Yamane <henrich@debian.org>  Tue, 14 May 2013 10:27:38 +0900

fontforge (0.0.20120101+git-5) experimental; urgency=low

  * debian/rules
    - fix all lintian error and warnings
      + move python modules from site-packages to dist-packages manually
       (Closes: #705904)
      + chmod 0644 to *.so.* libraries
    - install missing nox binaries
    - don't build pyextention for -nox package to reduce build time
   * debian/*.install
    - don't conflict duplicate so within packages (Closes: #705857)

 -- Hideki Yamane <henrich@debian.org>  Mon, 22 Apr 2013 22:36:29 +0900

fontforge (0.0.20120101+git-4) experimental; urgency=low

  * debian/control
    - build python modules for all supported versions (Closes: #575753)

 -- Hideki Yamane <henrich@debian.org>  Sun, 21 Apr 2013 08:44:40 +0900

fontforge (0.0.20120101+git-3) experimental; urgency=low

  * Team upload.
  * debian/control
    - remove Kęstutis Biliūnas <kebil@kaunas.init.lt> from Uploaders, thanks.
      (Closes: #704972)
    - add myself to Uploaders
    - use debhelper (>= 9)
    - set "Standards-Version: 3.9.4"
    - add "{Conflicts,Replaces}: libfontforge-dev (<< 0.0.20120101+git-3)" to
      libfontoforge1 since all .so files move to libfontoforge1
    - set "Build-Depends: libtiff-dev" to make transition easier (Closes: #681538)
      Thanks to Michael Terry <michael.terry@canonical.com>
    - remove obsolete "Dm-Upload-Allowed:" field
    - add "Breaks: defoma" to avoid broken obsolete defoma symlink cause
      segfault (Closes: #583546)
    - add fontforge-common package to reduce the duplication (Closes: #705574)
    - replace from "Conflicts: fontforge{,-nox}" to Breaks to ensure smooth
      upgrade
  * debian/patches
    - add open_file_with_drag_and_drop.patch. It is able to open files with
      Drag&Drop in launcher.
  * debian/rules
    - cleanup, use dh style. It brings concurrent build enable with --parallel
     (Closes: #705437) Also, it reduces build time.
    - enable "--with-freetype-bytecode" option by default (Closes: #688213,
      #672775)
      since related patent has expired.
    - explicitly specify "--with-freetype-src=freetype" to reduce search time
      (closes: #605871). However, should add freetype source to enable it and
      not do so since it's not sure at this time.
  * debian/*.{install,dirs},clean
    - use with dh
  * debian/compat
    - set 9 to enable hardening (without setting dpkg-buildflags)

 -- Hideki Yamane <henrich@debian.org>  Thu, 28 Mar 2013 08:22:43 +0900

fontforge (0.0.20120101+git-2) unstable; urgency=low

  * Define SHELL in Makefiles. Thanks to Jakub Wilk for the patch
    Closes: #671971

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 May 2012 22:21:12 +0200

fontforge (0.0.20120101+git-1) unstable; urgency=low

  * new upstream snapshot release from git (Closes: #656443)
  * debian/patches: drop
    001_Support-libpng-1.5-by-only-using-accessor-functions.diff and
    905_fix_selection_crashes.diff (applied upstream)
  * Bump Standards-Version to 3.9.3 (no changes needed)
  * change B-D from libpng12-dev to libpng-dev (Closes: #662330)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 13 Mar 2012 21:59:30 -0400

fontforge (0.0.20110222-9) UNRELEASED; urgency=low

  * convert to git-based packaging

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 06 Feb 2012 01:10:28 -0500

fontforge (0.0.20110222-8) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * Fix memory corruption when moving spline points via upstream patch by
    Paul Flo Williams
    Closes: #656359
  * ensure fontforge-dbg gets symbols from X11-capable fontforge
    Closes: #656498

 -- Christian Perrier <bubulle@debian.org>  Wed, 01 Feb 2012 20:40:49 +0100

fontforge (0.0.20110222-7) unstable; urgency=low

  * Build using dh_python2. Patch from Ubuntu.

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Jan 2012 13:44:41 +0100

fontforge (0.0.20110222-6) unstable; urgency=low

  * Enable hardened build flags through dpkg-buildflags
    Closes: #653534

 -- Christian Perrier <bubulle@debian.org>  Thu, 29 Dec 2011 08:21:59 +0100

fontforge (0.0.20110222-5) unstable; urgency=low

  * Team upload
  * Support libpng 1.5 by only using accessor functions to png structures
    Thanks to Paul Flo Williams for the patch
    Closes: #649950

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Wed, 14 Dec 2011 20:04:01 +0100

fontforge (0.0.20110222-4) unstable; urgency=low

  * If trans_alpha is NULL (likely due to optimized png), don't crash
    Closes: #646619

 -- Christian Perrier <bubulle@debian.org>  Wed, 26 Oct 2011 04:22:18 +0200

fontforge (0.0.20110222-3) unstable; urgency=low

  * Add a versioned dependency on libfontforge1 for python-fontforge
    to avoid incompatible versions to be installed together.
    Closes: #642936

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Sep 2011 07:44:25 +0200

fontforge (0.0.20110222-2) unstable; urgency=low

  * Build-Depends on libjpeg-dev instead of libjpeg62-dev.
    Closes: #633936
  * Build-Depends on python-dev instead of python-all-dev
    Closes: #605838
  * Add build-indep and build-arch build targets

 -- Christian Perrier <bubulle@debian.org>  Sat, 03 Sep 2011 11:00:05 +0200

fontforge (0.0.20110222-1) unstable; urgency=low

  * New upstream version. (Closes: #628111, #628839)
    - debian/patches
      + drop since merged to upstream
        - 030_fix_stack_corruption.diff
        - 031_fix_spline_creation.diff
        - 110_fix_incorrect_locale_code.diff
        - cve-2010-4259.patch
  * Set "Priority: extra" for fontforge-dbg

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Jun 2011 15:45:34 +0200

fontforge (0.0.20100501-6) unstable; urgency=low

  * Team upload.
  * debian/rules
    - fix wrong configure option (Closes: #625564)
    - "Getting rid of unneeded *.la / emptying dependency_libs",
      not install *.la files. Thanks to Neil Williams (Closes: #621285)
    - specify "CONFIG_SHELL=/bin/bash" to avoid FTBFS (Closes: #621932)
  * debian/patches
    - add 901_ld_as_needed.diff to fix build failure with ld --as-needed.
      Thanks to Matthias Klose (Closes: #605839)
    - drop 023_fix_desktop_file.diff (Closes: #608432)
  * debian/control
    - add debug package for fontforge (Closes: #602069)
    - bump up "Standards-Version: 3.9.2"

 -- Hideki Yamane <henrich@debian.org>  Sat, 28 May 2011 21:24:48 +0900

fontforge (0.0.20100501-5) unstable; urgency=low

  * Team upload.
  * debian/rules
    - disable "--enable-double" that introduced in 0.0.20100501-3
     to avoid building ttf-dejavu failure (Closes: #609094)

 -- Hideki Yamane <henrich@debian.org>  Fri, 07 Jan 2011 23:43:28 +0900

fontforge (0.0.20100501-4) unstable; urgency=high

  * Urgency high due to a security fix.
  * debian/patches:
    + grab patch from https://bugzilla.redhat.com/attachment.cgi?id=464658
    Fixes: CVE-2010-4259, Closes: #605537.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 07 Dec 2010 04:12:04 -0200

fontforge (0.0.20100501-3) unstable; urgency=low

  * debian/patches:
    - fixed the patch 030_fix_stack_corruption.diff. Buffer size reduced
      to the size recommended by upstream.
    - added the patch 031_fix_spline_creation.diff resolve problem of
      compiling lilypond on s390 architecure.. (Closes: #594629).
  * debian/rules: added the option --enable-double in the fontforge configure
    stage for decrease endless problems in the intersection code case.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 28 Nov 2010 17:11:27 +0200

fontforge (0.0.20100501-2) unstable; urgency=low

  * Team upload
  * Fix stack corruption in fontforge/svg.c
    Closes: #550120

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Sep 2010 16:06:26 +0200

fontforge (0.0.20100501-1) unstable; urgency=high

  * New upstream release (Closes: #590844, #591135, #591136).

  [ Rogério Brito ]
  * debian/patches:
    - removed the patch 026_fix-null-pntr-dereference.diff.
      Fixed upstream;
    - added the patch 110_fix_incorrect_locale_code.diff correct locale
      code.

  [ Kęstutis Biliūnas ]
  * debian/patches:
    - fixed the patch 005_x_www_browser.diff to give priority
      to the user settings over system-wide settings. Thanks to Andreas
      Neudecker <zapyon@gmx.net> for the bug report (Closes: #587844);
    - added the patch 027_catch_ctrl-c_signal.diff for catching the ctrl-c
      signal and asking the user whether he really wants to exit
      (Closes: #578122).
  * debian/control:
    - aded Rogério Brito <rbrito@ime.usp.br> to Uploaders;
    - bumped Standards-Version to 3.9.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 07 Aug 2010 11:33:59 +0300

fontforge (0.0.20090923-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source format. As a consequence, no longer
    build-depend on quilt and removed the file README.source.
  * debian/control:
    - add ${misc:Depends} to dependencies to properly cope with
      debhelper-triggerred dependencies;
    - bumped Standards-Version to 3.8.4. No changes required.
  * debian/patches: added the patch 026_fix-null-pntr-dereference.diff for
    allowing the dereference of the 'cs' pointer in the scstyles.c file if
    it is non-NUL. Thanks to Rogério Brito <rbrito@ime.usp.br> for the
    patch (Closes: #569548).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 27 Feb 2010 10:18:58 +0200

fontforge (0.0.20090923-1) unstable; urgency=low

  * New upstream release.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 26 Sep 2009 21:41:19 +0300

fontforge (0.0.20090914-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bumped Standards-Version to 3.8.3. No changes required;
    - changed short and long descriptions (Closes: #537564).

  [ Davide Viti ]
  * debian/watch: workaround broken Sourceforge redirector.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 16 Sep 2009 08:50:52 +0300

fontforge (0.0.20090622-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: removed the patch 025_bcunlink.diff -- fixed upstream.
  * debian/rules: removed the call of deprecated dh_desktop.
  * debian/control: bumped Standards-Version to 3.8.2. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 23 Jun 2009 22:29:54 +0300

fontforge (0.0.20090408-2) unstable; urgency=low

  * debian/patches:
    - added the patch 024_def_background.diff for set the default background
      color. Thanks to Theppitak Karoonboonyanan <thep@linux.thai.net> for
      the patch (Closes: #525510);
    - added the patch 025_bcunlink.diff for fixing segfaults building
      ttf-cjk-compact. Thanks to Daniel Schepler <dschepler@gmail.com> for
      the bug report (Closes: #527807).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 12 May 2009 00:25:19 +0300

fontforge (0.0.20090408-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Call chrpath to strip the rpath on /usr/bin.
  * debian/control:
    - added chrpath to Build-Depends;
    - changed section to the new fonts section;
    - added Depends on libgdraw4 for the fontforge binary package;
    - bumped Standards-Version to 3.8.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 11 Apr 2009 23:42:31 +0300

fontforge (0.0.20090224-2) experimental; urgency=low

  * debian/control: added the dependency on libgdraw4 for libfontforge-dev
    binary package.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 01 Mar 2009 18:53:02 +0200

fontforge (0.0.20090224-1) experimental; urgency=low

  [ Kęstutis Biliūnas ]
  * New upstream release (Closes: #496048, #500543, #504440, #393487).
    Actually the latter bug was fixed much earlier, but was forgotten
    to close.
  * First release from the pristine upstream tarball. Previously, the binary
    packages was generated from the ourselves made tarball, which was
    assembled from the several upstream tarballs. Now this is splited out
    into a separate source packages.
  * Added MIME support: updated the .desktop file with MimeType entries and
    added .sharedmimeinfo file (Closes: #507427, #507428).
  * Removed the file debian/fontforge.desktop. Now we are using the file
    Packaging/fontforge.desktop from the upstream.
  * debian/control:
    - bumped Standards-Version to 3.8.0. No changes required;
    - added the new libfontforge1, libgdraw4, libfontforge-dev and
      fontforge-nox binary packages.
    - added Build-Depends on libpango1.0-dev and libcairo2-dev.
    - added the python-fontforge package to Suggests for fontforge binary
      package.
    - added DM-Upload-Allowed: yes.
  * debian/rules:
    - added the option --enable-devicetables and --with-type3 in the fontforge
      configure stage.
    - added a case check to check if the package is going to be built on Ubuntu
      or Debian. Thanks to Arne Götje <arne@ubuntu.com> for suggestion.
    - added a comparison of the installed libtool version and the libtoolize
      option "--install", when libtool version is > 1.9b.
  * debian/patches:
    - the patches refreshed with quilt option '-p1'. This should make the
      package work with the new source package format "3.0 (quilt)".
      (closes: #485247). Thanks to Raphael Hertzog <hertzog@debian.org> for
      the bug report.
    - disabled patch 999_disable_xinput.diff as this makes fontforge unusable
      when XMODIFIERS is defined, which is needed for many East Asian
      languages. Thanks to Arne Götje <arne@ubuntu.com> for suggestion.
    - added the patch 023_fix_desktop_file for adjusting the desktop file for
      Debian.
    - the patch 020_fix_pyext_path.diff adjusted for the new library path
      (Closes: #504705).
    - fixed the patch 900_debian_HelpDir_path.diff.
  * Removed the file debian/README and added the debian/README.source file
    explaining how to edit or create the patches.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 26 Feb 2009 18:42:00 +0200

fontforge (0.0.20080429-1) unstable; urgency=low

  * New upstream release (Closes: #483001).
  * debian/patches: remove patch 022_validate.diff now included upstream
  * patches/900_debian_HelpDir_path.diff adapted to new sources

 -- Davide Viti <zinosat@tiscali.it>  Thu, 29 May 2008 09:54:53 +0200

fontforge (0.0.20080330-2) unstable; urgency=low

  [ Kęstutis Biliūnas ]
  * debian/patches: added the patch 022_validate.diff for fixing validation
    for CID keyed fonts (Closes: #477947).

 -- Davide Viti <zinosat@tiscali.it>  Thu, 01 May 2008 15:13:51 +0200

fontforge (0.0.20080330-1) unstable; urgency=low

  [Davide Viti]
  * New upstream release (Closes: #472772).
  * Updated version of showttf.c

  [ Kęstutis Biliūnas ]
  * debian/fontforge-doc.linda-override: removed this file, since linda no
    longer exists in the unstable distribution, and removed corresponding
    statements in the debian/rules install target.
  * debian/fontforge-doc.doc-base: an entry in the Section field changed
    from X11 to Graphics debian/rules install target.

 -- Davide Viti <zinosat@tiscali.it>  Tue, 01 Apr 2008 13:42:53 +0200

fontforge (0.0.20080203-1) unstable; urgency=low

  * New upstream release (Closes: #465829).

  [ Kęstutis Biliūnas ]
  * debian/control:
    - bumped Standards-Version to 3.7.3. No changes required.
    - set the pkg-fonts team as Maintainer.
  * debian/patches:
    - fixed the patches 020_fix_pyext_path.diff and
      900_debian_HelpDir_path.diff.
    - removed the patch  021_libspiro_link.diff -- fixed upstream.
  * debian/rules:
    - in the install target removed the /usr/include directory.

  [ Christian Perrier ]
  * debian/copyright:
    - [Lintian] use the Unicode copyright symbol in copyright. Adapt
      copyright years.

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Feb 2008 05:48:34 +0100

fontforge (0.0.20071110-1) unstable; urgency=low

  * New upstream release  (Closes: #452487, #452754).
  * debian/control:
    - added Build-Depends on libspiro-dev for compiling with the Spiro
      curves support.
    - added Vcs-Svn and Vcs-Browser fields.
  * debian/patches:
    - removed the patch  006_Fix_home_dir.diff -- fixed upstream.
    - added the patch 021_libspiro_link.diff for fixing compilation with
      Spiro curves support and option --with-regular-link.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 10 Nov 2007 19:50:02 +0200

fontforge (0.0.20071002-1) unstable; urgency=low

  * New upstream release (Closes: #446961).
  * debian/control:
    - the homepage address removed from extended package description and added
      Homepage field in the source package.
    - added the new python-fontforge binary package.
    - added Build-Depends on python-support package.
  * debian/rules:
    - added the option --enable-pyextension in the fontforge configure stage.
    - added 'python setup.py install' in the install-arch target for installing
      python extensions.
  * debian/patches:
    - the patch 006_Fix_home_dir.diff replaced by patch from the upstream.
    - added the patch 020_fix_pyext_path.diff for fixing the path where the
      python modules searches fontforge libs.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 14 Oct 2007 10:29:20 +0300

fontforge (0.0.20070831-2) unstable; urgency=low

  * debian/rules: the command 'aclocal-1.7' changed to 'aclocal' in the
    configure target (Closes: #441910).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 11 Sep 2007 23:58:27 +0300

fontforge (0.0.20070831-1) unstable; urgency=low

  * New upstream release (Closes: #441771).
  * debian/patches:
    - removed the patches  014_fix_gdraw_gio.diff, 015_fix_mensis_ucs4.diff,
      016_badnames.diff and 017_nonbmpcrash.diff -- fixed upstream.
    - added the patch 019_mensis_hntx.diff for convert to 4byte unichar_t.
    - the patch 005_x_www_browser.diff supplemented for 'mensis'.
  * debian/control: changed Build-Depends from automake1.7 to automake.
  * debian/rules: re-organized using of the quilt. Refused from the targets
    prepare, patch and unpatch, and included the file quilt.make instead. The
    file debian/README is simplified accordingly.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 03 Sep 2007 10:54:36 +0300

fontforge (0.0.20070607-4) unstable; urgency=low

  [ Paul Wise ]
  * debian/menu: update for menu transition.

  [ Kęstutis Biliūnas ]
  * debian/patches: added the patch 017_nonbmpcrash.diff from Eugeniy
    Meshcheryakov <eugen@debian.org> and the upstream author George
    Williams <gww@silcom.com> -- for fixing segfaults during scrolling
    of the main window (Closes: #432762).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 13 Jul 2007 00:24:19 +0300

fontforge (0.0.20070607-3) unstable; urgency=low

  * debian/control:
    - added "Replaces: fontforge (<< 0.0.20061220-2)" for fixing file
      overwrite problem on upgrade from pre 0.0.20061220-1 for better
      support of derivative distributions.
    - removed "Conflicts: pfaedit (<< 0.0.20040425)".
  * debian/rules: now compiled and installed with option 'libdir=/usr/lib/fontforge',
    so private libraries are moved from /usr/lib to /usr/lib/fontforge.
  * Removed fontforge.{lintian,linda}-override files.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 26 Jun 2007 23:26:53 +0300

fontforge (0.0.20070607-2) unstable; urgency=low

  * debian/fontforge.lintian-override: removed the lintian override for the
    warning "package-name-doesnt-match-sonames" by suggestion of Christian
    Perrier <bubulle@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 13 Jun 2007 10:07:32 +0300

fontforge (0.0.20070607-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - removed the patch 012_fix_ff_manpage.diff -- applied by upstream.
    - removed the patch 013_fix_plugin.diif -- fixed upstream.
    - removed the patch 1000_fix_reallocs.diff -- applied by upstream.
    - added the patch 008_libgif.diff -- from the Ubuntu package by
      Matthias Klose <doko@ubuntu.com>.
    - added the patch 014_fix_gdraw_gio.diff - from upstream author
      George Williams <gww@silcom.com>.
    - added the patch 015_fix_mensis_ucs4.diff -- for fixing the problem
      arisen after was changed from using UCS2 to using UCS4 in fontforge.
    - added the patch 016_badnames.diff - from upstream author George
      Williams <gww@silcom.com>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 08 Jun 2007 07:12:44 +0300

fontforge (0.0.20070501-2) unstable; urgency=low

  * debian/patches: added patch 1000_fix_reallocs.diff for fixing lookups
    allocating on the 64-bit architectures. Thanks to Eugeniy Meshcheryakov
    <eugen@debian.org>. (Closes: #422901).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 09 May 2007 12:00:28 +0300

fontforge (0.0.20070501-1) unstable; urgency=low

  * New upstream release (Closes: #422135).
  * debian/patches:
    - removed the patches 001_gdraw.diff and 002_fontforge.diff.
    - added the patch 012_fix_ff_manpage.diff for fixing some typos in the FF
      manpage. Thanks to Reuben Thomas <rrt@sc3d.org> (Closes: #421258).
    - added the patch 013_fix_plugin.diif from the upstream author
      George Williams <gww@silcom.com>, for fixing compiliation
      with python scripting support.
  * debian/control: added Build-Depends on python-all-dev for compiling with
    python scripting support.
  * debian/rules: added the htdocs/flags directory installation in the target
    install-indep.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 03 May 2007 01:03:04 +0300

fontforge (0.0.20070324-1) experimental; urgency=low

  * New upstream (experimental) release.
  * debian/patches: added the temporary patches 001_gdraw.diff and
    002_fontforge.diff from the current upstream CVS tree.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 11 Apr 2007 23:01:56 +0300

fontforge (0.0.20070312-1) unstable; urgency=low

  * New upstream release:
    - added possibility to turn off the splash screen from the preference
      dialog (Closes: #412898).
    - fixed typos in the man page fontforge.1 (Closes: #412897, #413180).
  * debian/patches: removed the patch 010_libgif.diff - this change already
    is in upstream source.
  * debian/control:
    - improved the fontforge package description (Closes: #413224).
      Thanks to Reuben Thomas <rrt@sc3d.org>.
    - added 'Section: graphics' in the first stanza of the control file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 26 Mar 2007 23:27:14 +0300

fontforge (0.0.20061220-2) experimental; urgency=low

  * debian/rules: abolished the manpage showttf.1 including into
    fontforge-doc binary package (Closes: #406639).
  * Fixed debian/watch file.
  * debian/rules: restored back the option --with-regular-link in the
    configure stage because of the Matthias Klose <doko@cs.tu-berlin.de>
    request.
  * debian/patches: added patch 010_libgif.diff from the upstream author
    George Williams <gww@silcom.com>.
  * debian/control: removed the field Recommends, because now these all
    libs get into Depends.
  * Fixed the file debian/fontforge.linda-override.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 12 Jan 2007 19:49:20 +0200

fontforge (0.0.20061220-1) experimental; urgency=low

  * New upstream release.
  * Added the fonttools utility - showttf (see: #300111). Also added the
    man page for this program.
  * debian/control: enlarged the fontforge package description - mentioned
    other programs and utilities included in this package.
  * debian/patches:
    - removed the patches  000_fix_exec_prefix.diff and
      patch 009_fix_SVG_output_quotes.diff -- applied by upstream.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 23 Dec 2006 14:12:58 +0200

fontforge (0.0.20061019-1) unstable; urgency=low

  * New upstream release (Closes: #394675).
  * debian/patches:
    - removed the patch 008_nohomedir.diff -- fixed upstream.
    - added patch 009_fix_SVG_output_quotes.diff for fixing missing quotes in
      SVG output (Closes: #392688). Thanks to Wojciech Muła <wm@mahajana.net>.
  * debian/control: added the version number to Recommends for
    libuninameslist0 package.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 23 Oct 2006 15:24:15 +0300

fontforge (0.0.20060822-2) unstable; urgency=low

  * debian/patches:
    - added patch 008_nohomedir.diff for fixing the segfaults
      when home directory doesn't exist or is non-writable (Closes: #387451).
    - fixed line numbers for the patches 006_Fix_home_dir.diff and
      900_debian_HelpDir_path.diff.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 15 Sep 2006 08:54:00 +0300

fontforge (0.0.20060822-1) unstable; urgency=low

  * New upstream release. Fixes the following bugs:
    - nonresizable context menu. Closes: #251923.
  * debian/ffanvil32.xpm: made background of this icon transparent. Thanks
    to Pascal de Bruijn <pmjdebruijn@gmail.com> for suggestion.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat,  2 Sep 2006 23:10:03 +0300

fontforge (0.0.20060703.1-1) unstable; urgency=low

  * New upstream release: added new HTML documentation.
  * debian/rules: added making the FontForge.pot file to the target
    build-arch because of the Matthias Klose <doko@cs.tu-berlin.de>
    request.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 17 Jul 2006 10:28:30 +0300

fontforge (0.0.20060703-1) unstable; urgency=low

  * New upstream release.
  * Ack previous NMU (Closes: #335263, #362123)
  * debian/control:
    - removed the field "Section: x11" from the source package part,
      and added the field "Section: graphics" to the fontforge binary
      package.
    - bumped Standards-Version to 3.7.2. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 13 Jul 2006 22:20:30 +0300

fontforge (0.0.20060430-1) unstable; urgency=low

  * New maintainer (Closes: #357867).
  * New upstream release (Closes: #328217, #316892, #361107, #365103).
  * Removed libuninameslist_src-*.tgz from the tarball, because this
    source not carry any sense here.
  * debian/compat: use DH_COMPAT 5
  * debian/rules:
    - re-organized debian/patches for using quilt.
    - added DEB_BUILD_OPTIONS=noopt (Closes: #361289).
    - removed the option --with-regular-link from configure stage.
    - use 'make -C <dir>' and 'set -e' instead of the brackets. Thanks
      to Matthias Klose <doko@cs.tu-berlin.de> for the suggestion
      (Closes: #362300).
  * debian/control:
    - changed Build-Depends on debhelper (>= 5.0.0).
    - bumped Standards-Version to 3.7.0. No changes required.
    - changed Build-Depends from libpng3-dev to libpng12-dev, because
      libpng3-dev is going away.
    - added Build-Depends on libxml2-dev for parse SVG files and fonts.
    - changed Build-Depends from xlibs-dev to libxt-dev (Closes: #344124).
    - the libraries libfreetype6, libjpeg62, libpng12-0, libtiff4, libungif4g,
      libuninameslist0, libxml2 and zlib1g added to Recommends.
    - changed the fontforge-doc package description (Closes: #336056).
    - added Build-Depends on libuninameslist-dev for displaying Unicode
      Name Annotations.
    - added homepage URL to fontforge package description.
    - removed pfaedit, a migration package for FontForge.
    - switch from using patch to quilt.
    - changed section for fontforge-doc package to docs.
  * Documented how to use the quilt in debian/README.
  * debian/patches:
    - fixed the patch 005_x_www_browser.diff. Thanks to Daniel Kahn
      Gillmor  <dkg-debian.org@fifthhorseman.net> for the patch
      (Closes: #333548).
    - removed the patches 001_fix_gdraw.diff, 002_fix_gdraw_part_2.diff and
      004_kill_rpatch_on_binaries.diff. Unnecessary any more.
    - added patch 900_debian_HelpDir_path.diff for fixing the path to
      ../doc/fontforge/html/ files.
  * Fixed debian/watch file. Thanks to Daniel Kahn Gillmor
    <dkg-debian.org@fifthhorseman.net> for the patch (Closes: #342180).
  * debian/copyright: more complete copyright file.
  * Added the icon file debian/ffanvil32.xpm and changed the menu entries in
    debian/menu file. Added the menu entry for the Mensis program.
  * Add desktop file (Closes: #362315).
  * Added and installed files: fontforge.lintian-override,
    fontforge.linda-override and fontforge-doc.linda-override.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon,  1 May 2006 10:25:00 +0300

fontforge (0.0.20051205-0.2) unstable; urgency=low

   * Non-maintainer upload.
   * Refresh debian/fontforge-patches/* to fix FTBFS. (Closes: 362123)
   * Update debian/rules to fail if patches are unable to apply cleanly.

 -- James Vega <jamessan@debian.org>  Sun, 23 Apr 2006 23:53:29 -0400

fontforge (0.0.20051205-0.1) unstable; urgency=low

  * Non-maintainer upload to allow new fonts to enter Debian
  * New upstream release. Closes: #335263

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Dec 2005 12:27:44 +0100

fontforge (0.0.20050911-1) unstable; urgency=low

  * New upstream release. (Closes: #319159, #326788)

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon, 12 Sep 2005 13:33:11 +1000

fontforge (0.0.20050904-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Wed,  7 Sep 2005 17:05:50 +1000

fontforge (0.0.20050831-2) unstable; urgency=low

  * Add bzip2 to Build-Depends (Closes: #326225)

 -- Chanop Silpa-Anan <chanop@debian.org>  Sat,  3 Sep 2005 19:05:56 +1000

fontforge (0.0.20050831-1) unstable; urgency=low

  * New upstream release; I just submitted my thesis, BTW.
    (Closes: #319159, #325325)

 -- Chanop Silpa-Anan <chanop@debian.org>  Fri,  2 Sep 2005 16:39:30 +1000

fontforge (0.0.20050502-1) unstable; urgency=low

  * New upstream release. (Closes: #289316)

 -- Chanop Silpa-Anan <chanop@debian.org>  Fri,  6 May 2005 21:18:48 +1000

fontforge (0.0.20041218-0.1) unstable; urgency=high

  * NMU
  * New upstream release
    - cures segfault processing certain fonts (Closes: #285784)
  * Also fixes FTBFS of lilypond, thus urgency high

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 28 Dec 2004 13:57:53 +0100

fontforge (0.0.20041012-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Wed, 13 Oct 2004 21:37:13 +1000

fontforge (0.0.20040930-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Sat,  2 Oct 2004 23:39:56 +1000

fontforge (0.0.20040824-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Wed,  1 Sep 2004 15:48:29 +1000

fontforge (0.0.20040808-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon, 16 Aug 2004 17:37:30 +1000

fontforge (0.0.20040703-2) unstable; urgency=low

  * Recompile with libtiff4g.

 -- Chanop Silpa-Anan <chanop@debian.org>  Thu, 29 Jul 2004 18:30:12 +1000

fontforge (0.0.20040703-1) unstable; urgency=low

  * New July release.
  * New libuninamelist-040701.

 -- Chanop Silpa-Anan <chanop@debian.org>  Sun,  4 Jul 2004 19:21:14 +1000

fontforge (0.0.20040618-1) unstable; urgency=low

  * New upstream release.
  * Bundle mensis with fontforge for the moment.

 -- Chanop Silpa-Anan <chanop@debian.org>  Sun, 27 Jun 2004 15:05:57 +1000

fontforge (0.0.20040601-1) unstable; urgency=low

  * New June release.
  * Remove patch to fix internal nan error -- fixed upstream.

 -- Chanop Silpa-Anan <chanop@debian.org>  Thu,  3 Jun 2004 18:11:12 +1000

fontforge (0.0.20040529-1) unstable; urgency=low

  * New upstream release.
  * Apply patch to fix internal nan error. (closes: # 251199)

 -- Chanop Silpa-Anan <chanop@debian.org>  Tue,  1 Jun 2004 17:03:46 +1000

fontforge (0.0.20040523-1) unstable; urgency=low

  * New upstream release.
    Forforge has entered testing, finally.

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon, 24 May 2004 15:33:19 +1000

fontforge (0.0.20040509-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon, 10 May 2004 17:19:20 +1000

fontforge (0.0.20040502-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Tue,  4 May 2004 21:42:19 +1000

fontforge (0.0.20040425-1) unstable; urgency=low

  * New upstream release.
  * Downgrade fontforge-doc to Suggests. (closes: #245484)
  * Add potrace to Suggests besides autotrace.
  * Add pfaedit migration package.
  * Fix Suggests list.

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon, 26 Apr 2004 23:58:16 +1000

fontforge (0.0.20040418-1) unstable; urgency=low

  * New upstream release.

 -- Chanop Silpa-Anan <chanop@debian.org>  Tue, 20 Apr 2004 15:12:47 +1000

fontforge (0.0.20040410.1-1) unstable; urgency=low

  * New maintainer. (closes: #195675)
  * Properly handle the /etc/alternatives/x-www-browsers.
  * Add the missing the CID maps.
  * Use ~/.FontForge for personal perferences.
  * Fix a bad upload.

 -- Chanop Silpa-Anan <chanop@debian.org>  Fri, 16 Apr 2004 23:29:58 +1000

fontforge (0.0.20040410-1) unstable; urgency=low

  * New upstream version. (closes: #243719)
  * Make a separated documentation package. (closes: #233432)

 -- Chanop Silpa-Anan <chanop@debian.org>  Fri, 16 Apr 2004 20:27:14 +1000

pfaedit (0.0.20040111-1) unstable; urgency=low

  * New upstream version. (closes: #226123)
  * debian/copyright: Fix for type in pfaedit sourceforge URL.
    (closes: #226132)

 -- Peter Hawkins <peterh@debian.org>  Mon, 19 Jan 2004 09:54:28 +1100

pfaedit (0.0.20031110-1) unstable; urgency=low

  * New upstream version.
  * Added libuninameslist to build (closes: #188562)

 -- Peter Hawkins <peterh@debian.org>  Fri, 14 Nov 2003 14:38:54 +1100

pfaedit (0.0.20031020-3) unstable; urgency=low

  * debian/control, debian/rules: Add libtoolize invocation to update the
    libtool version for ARM (closes: #217238)

 -- Peter Hawkins <peterh@debian.org>  Fri, 24 Oct 2003 09:32:19 +1000

pfaedit (0.0.20031020-2) unstable; urgency=low

  * Second upload in a short time period because I failed to see a couple of
    easily fixed bugs sitting in the bug page, including one RC bug.
  * debian/rules: Added quotes around usage of CFLAGS (closes: #198221)
  * debian/patches/00[34]*: Link libgdraw against libgunicode so libgunicode
    is completely linked. (closes: #195978)

 -- Peter Hawkins <peterh@debian.org>  Thu, 23 Oct 2003 20:25:28 +1000

pfaedit (0.0.20031020-1) unstable; urgency=low

  * New upstream version.
  * debian/control: New maintainer - Peter Hawkins <peterh@debian.org>
  * debian/control: Updated standards version to 3.6.1

 -- Peter Hawkins <peterh@debian.org>  Thu, 23 Oct 2003 19:21:42 +1000

pfaedit (0.0.20030313-2) unstable; urgency=low

  * Update config.sub and config.guess to fix build failure on mipsel.

 -- Peter Hawkins <peterh@debian.org>  Fri, 21 Mar 2003 12:27:15 +1100

pfaedit (0.0.20030313-1) unstable; urgency=low

  * New upstream version (closes: #174411, #183493)
  * The libpng breakage seems fixed. Please reopen this bug if you still
    experience this problem. (closes: #181249)
  * Updated Standards Version to 3.5.9.
  * Package hacked upon and rejigged by Peter Hawkins.

 -- Peter Hawkins <peterh@debian.org>  Sun,  2 Mar 2003 15:33:47 +1100

pfaedit (0.0.20020905-1) unstable; urgency=low

  * New upstream version
  * Changed to use libpng3 instead of libpng2

 -- Baruch Even <baruch@debian.org>  Thu,  5 Sep 2002 08:13:28 +0300

pfaedit (0.0.20020618-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Tue, 18 Jun 2002 22:23:30 +0300

pfaedit (0.0.20020416-1) unstable; urgency=low

  * New upstream version
    + Added support for Arabic forms in GSUB table
    + Fix problems under KDE desktop
  * Remove recommendation on libtiff3 which doesn't exists

 -- Baruch Even <baruch@debian.org>  Fri, 26 Apr 2002 17:33:59 +0300

pfaedit (0.0.20020312-1) unstable; urgency=low

  * New upstream version (Closes: bug#139183)
    + Fixed EPS reading problems
    + Improved scripting abilities
      - Generate PFM file
      - Merge Kerning Info
      - Remove all Kerning
    + Added sfddiff, a diff between two SFD fonts (pfaedit native format)
    + Improved handling of 8bit colormaps
  * Upgrading also fixed two crashing problems (Closes: bug#138944, #138765)

 -- Baruch Even <baruch@debian.org>  Sat, 23 Mar 2002 01:09:00 +0200

pfaedit (0.0.20020210-1) unstable; urgency=low

  * New upstream version
    + Fix crash when generating postscript from arial.ttf
    + Changes to bitmap dialogs to allow more control over dpi
    + Use freetype to generate bitmaps
    + Added a scripting abilities
    + Load the help documents locally instead of going to the homepage
    + Fix a bug that caused to be used as the help browser, not it *does*
      check for the existence of the browser.
  * Actually make use of the loading of help documents locally.

 -- Baruch Even <baruch@debian.org>  Sun, 10 Feb 2002 12:03:26 +0200

pfaedit (0.0.20020206-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Wed,  6 Feb 2002 01:53:10 +0200

pfaedit (0.0.20020102-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Sat,  5 Jan 2002 00:25:54 +0200

pfaedit (0.0.20011115-1) unstable; urgency=low

  * New upstream version.

 -- Baruch Even <baruch@debian.org>  Wed, 21 Nov 2001 00:18:27 +0200

pfaedit (0.0.20011011-2) unstable; urgency=low

  * Documentation was placed in /usr/share/doc/pfaedit/html/htdocs and should
    be one directory upwards.
  * Removed upstream ChangeLog file since it's empty.
  * Removed upstream README file since it only contains install info.

 -- Baruch Even <baruch@debian.org>  Sun, 14 Oct 2001 10:41:11 +0200

pfaedit (0.0.20011011-1) unstable; urgency=low

  * Updated config.{guess,sub} files (Closes: Bug#115016)
  * Fixed bug when loading BDF files with more than 256 characters.
    (Closes: Bug#115212)
  * Added CID maps for CJK support (Closes: Bug#114952)

 -- Baruch Even <baruch@debian.org>  Sat, 13 Oct 2001 21:38:10 +0200

pfaedit (0.0.20010925-1) unstable; urgency=low

  * Updated the HTML docs, upstream author had some copyrighted material in them.

 -- Baruch Even <baruch@debian.org>  Wed, 26 Sep 2001 14:16:51 +0200

pfaedit (0.0.20010924-1) unstable; urgency=low

  * New upstream version.
  * Added HTML docs.

 -- Baruch Even <baruch@debian.org>  Wed, 26 Sep 2001 03:09:46 +0200

pfaedit (0.0.20010908-2) unstable; urgency=low

  * Fix a wrong dependency on libungif4 instead of libungif4g.
  * Changed the image libraries from suggests to recommends.

 -- Baruch Even <baruch@debian.org>  Wed, 12 Sep 2001 00:01:01 +0300

pfaedit (0.0.20010908-1) unstable; urgency=low

  * Upstream version update.

 -- Baruch Even <baruch@debian.org>  Sun,  9 Sep 2001 15:11:47 +0300

pfaedit (0.0.20010905-1) unstable; urgency=low

  * Initial Release.
  * Closes wnpp bug. (Closes: Bug#99904)

 -- Baruch Even <baruch@debian.org>  Fri, 31 Aug 2001 22:51:17 +0300
